Kaiten
Licenses

Create a new license

Create a new license with the provided details

POST
/licenses

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://demo.kaiten.sh/licenses" \  -H "Content-Type: application/json" \  -d '{    "description": "This license provides access to all enterprise features including advanced analytics, priority support, and unlimited users.",    "isActive": true,    "isDefault": false,    "name": "Enterprise License",    "type": "paid",    "version": "1"  }'
{
  "description": "This license provides access to all enterprise features including advanced analytics, priority support, and unlimited users.",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "isActive": true,
  "isDefault": false,
  "name": "Enterprise License",
  "slug": "enterprise-license",
  "type": "paid",
  "version": "1",
  "versionName": "Winter 2024 Release"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}